6.0.0-git
2019-05-19

[#9507] Fatal error changing the language
Summary Fatal error changing the language
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2011-01-12 (3049 days ago)
Due
Updated 2011-01-24 (3037 days ago)
Assigned 2011-01-14 (3047 days ago)
Resolved 2011-01-24 (3037 days ago)
Milestone
Patch No

History
2011-01-24 23:44:35 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2011-01-24 23:44:23 Git Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9507: Pref language overrides login language

http://git.horde.org/horde-git/-/commit/49a029c817c3c855fc9a92fff406bc65bcd06711
2011-01-22 17:10:13 Jan Schneider Comment #9 Reply to this comment
The problem is that the language selected at the login screen takes 
precedence over the preference value now.
2011-01-14 18:32:53 Michael Slusarz Comment #8
State ⇒ Feedback
Reply to this comment
I don't get that error any more, but translations don't work anymore 
either. :)
I don't see this.  Changing the language works for me.  i.e. Default 
(English) -> Deutsch gets me German.  Changing from German -> English 
changes back.  Changing from German ->Default does nothing (it remains 
German), but that is expected.
2011-01-14 12:53:12 Jan Schneider Comment #7
State ⇒ Assigned
Reply to this comment
I don't get that error any more, but translations don't work anymore 
either. :)
2011-01-13 19:13:45 Michael Slusarz Comment #6
State ⇒ Resolved
Reply to this comment
Dealing with authentication to non-auth'd apps would be a very large 
undertaking.  The simpler solution for now is clearly indicating the 
method's behavior in the API documentation.
2011-01-13 19:12:48 Git Commit Comment #5 Reply to this comment
Changes have been made in Git for this ticket:

Ticket #9507: Clarify changeLanguage() behavior

http://git.horde.org/horde-git/-/commit/519291ec3de41d0a76d2506efe06ea167422b7ab
2011-01-12 22:03:54 Jan Schneider Comment #4 Reply to this comment
Good question. It was added for in-session changes. One could 
theoretically use it for persistant storage too, but I haven't come 
across such a need yet.
2011-01-12 19:13:52 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
Sounds like the change language callback is trying to be run on a n 
application that is not authenticated to (e.g. imp).  This should be 
fixed.

Although this raises a question: is the changeLanguage API call 
designed to potentially alter all stored data for an application (e.g. 
in persistent storage)?  Or is it understood to only be useful for 
changing the language for any data created for use in the current 
session?
2011-01-12 19:10:45 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9507: Only do language change callback to authenticated apps

http://git.horde.org/horde-git/-/commit/f974d54faad1a8908ccb9259a7b90a2354993465
2011-01-12 11:08:18 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Fatal error changing the language
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
When changing the language preference, I get:

User is not authorized

1. Horde_Core_Prefs_Ui->handleForm() 
/home/jan/horde-git/horde/services/prefs.php:27
2. Horde_Core_Prefs_Ui->_handleForm() 
/home/jan/horde-git/framework/Core/lib/Horde/Core/Prefs/Ui.php:213
3. Horde_Registry->callAppMethod() 
/home/jan/horde-git/framework/Core/lib/Horde/Core/Prefs/Ui.php:325
4. call_user_func_array() 
/home/jan/horde-git/framework/Core/lib/Horde/Registry.php:1017
5. Horde_Application->prefsCallback()
6. Horde_Prefs_Ui->prefsCallback() 
/home/jan/horde-git/horde/lib/Application.php:117
7. Horde_Registry->callAppMethod() 
/home/jan/horde-git/horde/lib/Prefs/Ui.php:175
8. Horde_Registry->pushApp() 
/home/jan/horde-git/framework/Core/lib/Horde/Registry.php:1014

Saved Queries